curl --request GET \
--url 'https://api.stateset.com/api/v1/backorders' \
--header "Authorization: Bearer $STATESET_API_KEY"
{
"backorders": [
{
"backorder_number": "string",
"created_at": "2026-08-31T14:22:05Z",
"customer_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"expected_date": "2026-08-31T14:22:05Z",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"order_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"priority": "string",
"promised_date": "2026-08-31T14:22:05Z",
"quantity_fulfilled": "string",
"quantity_ordered": "string",
"quantity_remaining": "string",
"sku": "SKU-TENT-2P-GRN",
"status": "pending"
}
],
"total": 102
}
List backorders
List backorders
GET
/
api
/
v1
/
backorders
curl --request GET \
--url 'https://api.stateset.com/api/v1/backorders' \
--header "Authorization: Bearer $STATESET_API_KEY"
{
"backorders": [
{
"backorder_number": "string",
"created_at": "2026-08-31T14:22:05Z",
"customer_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"expected_date": "2026-08-31T14:22:05Z",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"order_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"priority": "string",
"promised_date": "2026-08-31T14:22:05Z",
"quantity_fulfilled": "string",
"quantity_ordered": "string",
"quantity_remaining": "string",
"sku": "SKU-TENT-2P-GRN",
"status": "pending"
}
],
"total": 102
}
Query parameters
string
string
string
string
One of
pending, partially_fulfilled, allocated, ready_to_ship, fulfilled, cancelled.string
One of
low, normal, high, critical.integer (int32)
integer (int32)
Response
BackorderListResponse
BackorderResponse[]
required
integer
required
Status codes
| Code | Meaning |
|---|---|
200 | — |
400 | — |
curl --request GET \
--url 'https://api.stateset.com/api/v1/backorders' \
--header "Authorization: Bearer $STATESET_API_KEY"
{
"backorders": [
{
"backorder_number": "string",
"created_at": "2026-08-31T14:22:05Z",
"customer_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"expected_date": "2026-08-31T14:22:05Z",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"order_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"priority": "string",
"promised_date": "2026-08-31T14:22:05Z",
"quantity_fulfilled": "string",
"quantity_ordered": "string",
"quantity_remaining": "string",
"sku": "SKU-TENT-2P-GRN",
"status": "pending"
}
],
"total": 102
}
Last modified on August 31, 2026